Bug 720662 - iwl4965 wireless connection regression after update to kernel-2.6.35.13-93
iwl4965 wireless connection regression after update to kernel-2.6.35.13-93
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
14
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Stanislaw Gruszka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-12 08:33 EDT by Stanislaw Gruszka
Modified: 2011-09-08 10:13 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-08 10:13:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stanislaw Gruszka 2011-07-12 08:33:47 EDT
Description of problem:
kernel-2.6.35.13-93.fc14 is essentially unusable when using wifi (extremely
slow speeds, in terms of bytes/second). Tested on an Fedora 14 x86_64 laptop
with intel 4965 wifi. kernel-2.6.35.13-92 works fine until the module crashes
and the system needs to be rebooted.
Comment 1 Stanislaw Gruszka 2011-07-12 08:39:41 EDT
Matt, update consist from 3 small patches:

Patch14000: iwlagn-fix-Received-BA-when-not-expected.patch
Patch14001: iwlagn-use-cts-to-self-protection-on-5000-adapters-series.patch
Patch14002: iwlwifi-add_ack_plpc_check-module-parameters.patch

As far, I'm not seeing anything suspicious in any of them. Could you build kernel from source, revert this patch one by one and tell exactly which one is causing regression in your system.
Comment 2 Stanislaw Gruszka 2011-08-18 04:48:37 EDT
If building kernel from source is difficult/time-consuming for you, perhaps you could build compat-wireless package i.e this one:

http://wireless.kernel.org/download/compat-wireless-2.6/compat-wireless-2011-08-08.tar.bz2

It allow to install wireless drivers from upstream on older kernel (see README file). Then you can check if things works on upstream drivers. If not work, we then could patch compat-wireless code to debug this problem.
Comment 3 Stanislaw Gruszka 2011-09-08 10:13:30 EDT
Matt, I'm closing bug with INSUFFICIENT_DATA resolution, reopen it if requested info will be available.

Note You need to log in before you can comment on or make changes to this bug.